From 11ebcb3a04415945e49ca7a72c299819628cba93 Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 21 2018 00:16:35 +0000
Subject: [PATCH 26/42] Merge branch 'fixingNames' of ssh://pagure.io/forks/matheussbernardo/kiskadee/kiskadee_ui into fixingGetApi


---

diff --git a/src/App.vue b/src/App.vue
index 5421ff5..de32505 100644
--- a/src/App.vue
+++ b/src/App.vue
@@ -13,6 +13,7 @@ import HeaderK from './components/shared/HeaderK'
 Vue.use(Vuex)
 
 export default {
+  name: 'app',
   components: {
     'header-kiskadee': HeaderK
   }
diff --git a/src/components/login/LoginForm.vue b/src/components/login/LoginForm.vue
index 9b6534c..2bf0b10 100644
--- a/src/components/login/LoginForm.vue
+++ b/src/components/login/LoginForm.vue
@@ -57,6 +57,7 @@
   import axios from 'axios'
 
   export default {
+    name: 'login-form',
     data () {
       return {
         form: {
diff --git a/src/components/package/ErrorsTable.vue b/src/components/package/ErrorsTable.vue
index 632ef7a..22d0b26 100644
--- a/src/components/package/ErrorsTable.vue
+++ b/src/components/package/ErrorsTable.vue
@@ -7,6 +7,7 @@ import * as getterNames from '../../store/getterNames.js'
 import DefaultTable from '../shared/DefaultTable.vue'
 
 export default {
+  name: 'errors-table',
   components: {
     DefaultTable
   },
diff --git a/src/components/package/InformationPerFileTable.vue b/src/components/package/InformationPerFileTable.vue
index 67393c3..86aa78f 100644
--- a/src/components/package/InformationPerFileTable.vue
+++ b/src/components/package/InformationPerFileTable.vue
@@ -8,6 +8,7 @@ import * as getterNames from '../../store/getterNames.js'
 import DefaultTable from '../shared/DefaultTable.vue'
 
 export default {
+  name: 'information-per-file-table',
   components: {
     DefaultTable
   },
diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 3fdbdc5..6238cb7 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -44,6 +44,7 @@ import * as getterNames from '../../store/getterNames.js'
 import moment from 'moment'
 
 export default {
+  name: 'list-package',
   data () {
     return {
       fields: [
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index f2f8c39..76a4611 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -45,6 +45,7 @@ import PieChart from './PieChart'
 import store from '@/store'
 
 export default {
+  name: 'package-page',
   async beforeRouteEnter (to, from, next) {
     try {
       let filtered
diff --git a/src/components/package/PieChart.vue b/src/components/package/PieChart.vue
index 8424282..acf2666 100644
--- a/src/components/package/PieChart.vue
+++ b/src/components/package/PieChart.vue
@@ -5,10 +5,11 @@
 </template>
 
 <script>
-import PieChart from '../../helpers/Charts.js'
+import pieChart from '../../helpers/Charts.js'
 export default {
+  name: 'pie-chart',
   components: {
-    'pie-chart': PieChart
+    'pie-chart': pieChart
   },
   props: {
     data: {
diff --git a/src/components/package/Search.vue b/src/components/package/Search.vue
index cc89481..50136d4 100644
--- a/src/components/package/Search.vue
+++ b/src/components/package/Search.vue
@@ -30,6 +30,7 @@ import * as actionTypes from '../../store/actionTypes.js'
 import * as getterNames from '../../store/getterNames.js'
 
 export default {
+  name: 'search',
   data () {
     return {
       term: '',
diff --git a/src/components/package/SummaryPackage.vue b/src/components/package/SummaryPackage.vue
index 103f592..48d154e 100644
--- a/src/components/package/SummaryPackage.vue
+++ b/src/components/package/SummaryPackage.vue
@@ -7,6 +7,7 @@
 
 <script>
 export default {
+  name: 'SummaryPackage',
   props: {
     package: {
       type: Object,
diff --git a/src/components/profile/FavoritesTable.vue b/src/components/profile/FavoritesTable.vue
index 96b0d7b..8ce95f5 100644
--- a/src/components/profile/FavoritesTable.vue
+++ b/src/components/profile/FavoritesTable.vue
@@ -11,6 +11,7 @@ const items = [
 ]
 
 export default {
+  name: 'favorites-table',
   data () {
     return {
       items: items
diff --git a/src/components/profile/ProfileForm.vue b/src/components/profile/ProfileForm.vue
index 35556fd..2bb2a81 100644
--- a/src/components/profile/ProfileForm.vue
+++ b/src/components/profile/ProfileForm.vue
@@ -44,6 +44,7 @@
 
 <script>
   export default {
+    name: 'profile-form',
     data () {
       return {
         form: {
diff --git a/src/components/register/RegisterForm.vue b/src/components/register/RegisterForm.vue
index 5164ab6..e06a390 100644
--- a/src/components/register/RegisterForm.vue
+++ b/src/components/register/RegisterForm.vue
@@ -67,6 +67,7 @@
 <script>
   import axios from 'axios'
   export default {
+    name: 'register-form',
     data () {
       return {
         form: {
diff --git a/src/components/shared/DefaultTable.vue b/src/components/shared/DefaultTable.vue
index 5c5b65a..dcd41cd 100644
--- a/src/components/shared/DefaultTable.vue
+++ b/src/components/shared/DefaultTable.vue
@@ -36,6 +36,7 @@
 <script>
 
 export default {
+  name: 'default-table',
   data () {
     return {
       currentPage: 1,
diff --git a/src/helpers/Charts.js b/src/helpers/Charts.js
index 15b3c86..e170bb7 100644
--- a/src/helpers/Charts.js
+++ b/src/helpers/Charts.js
@@ -1,7 +1,7 @@
 import Chartjs from 'vue-chartjs'
 const { reactiveProp } = Chartjs.mixins
 
-var PieChart = Chartjs.Pie.extend({
+var pieChart = Chartjs.Pie.extend({
   mixins: [reactiveProp],
   props: ['options'],
   mounted () {
@@ -9,4 +9,4 @@ var PieChart = Chartjs.Pie.extend({
   }
 })
 
-export default PieChart
+export default pieChart

